
QGIS Application - Bug report #1126

PostGIS default Styles do not save public shema

2008-06-17 03:25 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11186

Description

[[PostGIS]] Styles saved in ~/.qgis/qgis.db are not saved correctly in all cases. 

For all [[PostGIS]] layers residing in public schema the schema name is not saved in the db connection information of column style in table

tbl_styles. Under some cirumstances this leeds to non loadable style definition.

Associated revisions

Revision 128fb33b - 2008-06-18 12:37 PM - Jürgen Fischer

revert r8586 and solve issue in QgsVectorLayer (fixes #1126)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8654 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 409dcee2 - 2008-06-18 12:37 PM - Jürgen Fischer

revert r8586 and solve issue in QgsVectorLayer (fixes #1126)

git-svn-id: http://svn.osgeo.org/qgis/trunk@8654 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-06-17 04:03 AM - Jürgen Fischer

- Status changed from Open to In Progress

Replying to hdus:

For all [[PostGIS]] layers residing in public schema the schema name is not saved in the db connection information of column style in table

tbl_styles. Under some cirumstances this leeds to non loadable style definition.

The current schema should be stripped everywhere.  Which cases are not covered?

#2 - 2008-06-17 04:14 AM - Horst Düster

Replying to [comment:1 jef]:

Replying to hdus:
For all [[PostGIS]] layers residing in public schema the schema name is not saved in the db connection information of column style in table

tbl_styles. Under some cirumstances this leeds to non loadable style definition.

The current schema should be stripped everywhere.  Which cases are not covered?

The case when Layer is loaded with table="public"."tablename" by Python-Script is not covered.

#3 - 2008-06-18 03:37 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from In Progress to Closed

fixed in
